### Class

# Ide Context

#### Description

    final class Ide.Context : Ide.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Constructors

###### ide_context_new

Creates a new `IdeContext`.

Available since: 3.32

#### Instance methods

###### ide_context_addin_find_by_module_name

Finds the addin (if any) matching the plugin’s `module_name`.

Available since: 3.40

###### ide_context_build_file

Creates a new `GFile` for the path.

Available since: 3.32

###### ide_context_build_filename

Creates a new path that starts from the working directory of the loaded project.

Available since: 3.32

###### ide_context_cache_file

Like `ide_context_cache_filename()` but returns a `GFile`.

Available since: 3.32

###### ide_context_cache_filename

Creates a new filename that will be located in the projects cache directory. This makes it convenient to remove files when a project is deleted as all cache files will share a unified parent directory.

Available since: 3.32

###### ide_context_dup_project_id

Copies the project-id and returns it to the caller.

Available since: 3.32

###### ide_context_dup_title

No description available.

Available since: 3.32

###### ide_context_has_project

Checks to see if a project has been loaded in `context`.

Available since: 3.32

###### ide_context_log

No description available.

###### ide_context_peek_child_typed

Looks for the first child matching `type`, and returns it. No reference is taken to the child, so you should avoid using this except as used by compatability functions.

Available since: 3.32

###### ide_context_ref_project_settings

Gets an org.gnome.builder.project `GSettings`.

Available since: 3.32

###### ide_context_ref_workdir

Gets the working-directory of the context and increments the reference count by one.

Available since: 3.32

###### ide_context_set_project_id

Sets the project-id for the context.

Available since: 3.32

###### ide_context_set_title

Sets the `IdeContext:title` property. This is used by various components to show the user the name of the project. This may include the omnibar and the window title.

Available since: 3.32

###### ide_context_set_workdir

Sets the working directory for the project.

Available since: 3.32

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.Context:project-id

The “project-id” property is the identifier to use when creating files and folders for this project. It has a mutated form of either the directory or some other discoverable trait of the project.

Available since: 3.32

###### Ide.Context:title

The “title” property is a descriptive name for the project.

Available since: 3.32

###### Ide.Context:workdir

The “workdir” property is the best guess at the working directory for the context. This may be discovered using a common parent if multiple files are opened without a project.

Available since: 3.32

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

###### Ide.Context::log

This signal is emitted when a log item has been added for the context.

Available since: 3.32

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeContextClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.